Get an environment
curl --request GET \
--url https://api.alpic.ai/v1/environments/{environmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpic.ai/v1/environments/{environmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpic.ai/v1/environments/{environmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"sourceBranch": "<string>",
"mcpServerUrl": "<string>",
"domains": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"projectId": "<string>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}environments
Get an environment
Get an environment by ID
GET
/
v1
/
environments
/
{environmentId}
Get an environment
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the environment
Was this page helpful?
⌘I